From: Richard Kennedy <richard@rsk.demon.co.uk>

Rearrange struct dm_io.
Shrinks size from 40 -> 32 allowing more objects/slab.

Signed-off-by: Richard Kennedy <richard@rsk.demon.co.uk>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.26/drivers/md/dm.c
===================================================================
--- linux-2.6.26.orig/drivers/md/dm.c	2008-07-20 18:42:40.000000000 +0100
+++ linux-2.6.26/drivers/md/dm.c	2008-07-20 18:46:01.000000000 +0100
@@ -37,8 +37,8 @@ static DEFINE_SPINLOCK(_minor_lock);
 struct dm_io {
 	struct mapped_device *md;
 	int error;
-	struct bio *bio;
 	atomic_t io_count;
+	struct bio *bio;
 	unsigned long start_time;
 };
 
